{# @var craft \craft\web\twig\variables\CraftVariable #}
{% extends "tickit/_layouts" %}

{% set title = ("Categories"|t) %}

{% block actionButton %}

    {#{% if currentUser.can("freeform-settingsManage") %}#}
        <div class="buttons">
            <a class="btn submit add icon" href="{{ url('tickit/categories/new') }}">
                {{ "New Category"|t }}
            </a>
        </div>
    {#{% endif %}#}

{% endblock %}

{% set categories = craft.tickit.categories.getAllCategories() %}

{% set content %}
    <style>
        .color-indicator{display:inline-block;width:10px;height:10px;margin-right:5px;box-shadow:inset 0 0 1px rgba(0,0,0,0.6);border-radius:5px}
    </style>
    <div id="nocategories"{% if categories %} class="hidden"{% endif %}>
        <p>{{ "No categories found"|t }}</p>
    </div>

    {% if categories|length %}
        <table id="categories" class="data fullwidth collapsible">
            <thead>
            <th scope="col">{{ "Name"|t }}</th>
            <th scope="col">{{ "Handle"|t }}</th>
            <th scope="col">{{ "Is Default"|t }}</th>
            <td class="thin"></td>
            </thead>
            <tbody>
            {% for category in categories %}
                <tr data-id="{{ category.id }}" data-name="{{ category.name|t }}">
                    <th scope="row" data-title="{{ 'Name'|t }}">
                        <span class="color-indicator" style="background: {{ category.color }};"></span>
                        {% if currentUser.can("tickit-settingsManage") %}
                            <a href="{{ url('tickit/categories/' ~ category.id) }}">
                                {{ category.name }}
                            </a>
                        {% else %}
                            {{ category.name }}
                        {% endif %}
                    </th>
                    <td data-title="{{ 'Handle'|t }}">
                        <code>
                            {{ category.handle }}
                        </code>
                    </td>
                    <td>{% if category.isDefault %}<span data-icon="check"></span>{% endif %}</td>
                    <td class="thin">
                        {% if currentUser.can("tickit-settingsManage") %}
                            <a class="delete icon" title="{{ 'Delete'|t }}" role="button"></a>
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% endif %}
{% endset %}

{% js %}
    var adminTable = new Craft.AdminTable({
    tableSelector: '#categories',
    noObjectsSelector: '#nocategories',
    newObjectBtnSelector: '#newcategorycontainer',
    deleteAction: 'tickit/categories/delete',
    confirmDeleteMessage: '{{ "Are you sure you want to delete this category?"|t }}',
    sortable: false,
    //reorderAction: 'tickit/categories/reorder',
    reorderSuccessMessage: '{{ "Success"|t }}',
    reorderFailMessage:    '{{ "Failed"|t }}',
    });
{% endjs %}